#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	libglade
Version		:	2.6.4
Release		:	14.4.0.0%{?dist}
Summary		:	The libglade library for loading user interfaces
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	http://ftp.gnome.org/pub/gnome/sources/libglade

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	libxml2
BuildRequires	:	gtk2+
BuildRequires	:	gtk-doc
BuildRequires	:	python2


#-----------------------------------------------------------------------------
%description
This library allows you to load glade interface files in a program at
runtime.  It doesn't require GLADE to be used, but GLADE is by far the
easiest way to create the interface files.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS README
%{_bindir}/%{name}-convert
%{_includedir}/%{name}-2.0/glade/*.h
%{_libdir}/%{name}-2.0.{la,so*}
%{_libdir}/pkgconfig/%{name}-2.0.pc
%{_datadir}/gtk-doc/html/%{name}/*.{sgml,html,png}
%{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp*
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/xml/%{name}/glade-2.0.dtd


#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#this library should be upgraded and be python3 compiled
sed -i 							\
  -e '/DG_DISABLE_DEPRECATED/d'				\
  glade/Makefile.in 

export PYTHON=/usr/bin/python
autoreconf -if
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#-----------------------------------------------------------------------------
%changelog
